gdcm::ModuleEntry Class Reference

Class for representing a ModuleEntry. More...

`#include <gdcmModuleEntry.h>`

Inheritance diagram for gdcm::ModuleEntry:
[legend]
Collaboration diagram for gdcm::ModuleEntry:
[legend]

## Public Types

typedef std::string | Description

## Public Member Functions

| ModuleEntry (const char *name="", const char *type="3", const char *description="")
virtual | ~ModuleEntry ()=default
const Description & | GetDescription () const
const char * | GetName () const
const Type & | GetType () const
void | SetDescription (const char *d)
void | SetName (const char *name)
void | SetType (const Type &type)

## Protected Attributes

Type | DataElementType
Description | DescriptionField
std::string | Name

## Friends

std::ostream & | operator<< (std::ostream &_os, const ModuleEntry &_val)

## Detailed Description

Class for representing a ModuleEntry.

Note
  bla

See also
  DictEntry

Examples
  TraverseModules.cxx.

## Member Typedef Documentation

## Description

typedef std::string gdcm::ModuleEntry::Description

## Constructor & Destructor Documentation

## ModuleEntry()

gdcm::ModuleEntry::ModuleEntry | ( | const char * | name = "",
|  | const char * | type = "3",
|  | const char * | description = "" )

inline

References DataElementType, DescriptionField, gdcm::Type::GetTypeType(), and Name.

Referenced by gdcm::NestedModuleEntries::NestedModuleEntries(), ~ModuleEntry(), gdcm::NestedModuleEntries::AddModuleEntry(), gdcm::NestedModuleEntries::GetModuleEntry(), gdcm::NestedModuleEntries::GetModuleEntry(), and operator<<.

## ~ModuleEntry()

virtual gdcm::ModuleEntry::~ModuleEntry | ( |  | ) |

virtual default

References ModuleEntry(), and operator<<.

## Member Function Documentation

## GetDescription()

const Description & gdcm::ModuleEntry::GetDescription | ( |  | ) | const

inline

References DescriptionField.

## GetName()

const char * gdcm::ModuleEntry::GetName | ( |  | ) | const

inline

References Name.

## GetType()

const Type & gdcm::ModuleEntry::GetType | ( |  | ) | const

inline

Examples
  TraverseModules.cxx.

References DataElementType.

## SetDescription()

void gdcm::ModuleEntry::SetDescription | ( | const char * | d | ) |

inline

References DescriptionField.

## SetName()

void gdcm::ModuleEntry::SetName | ( | const char * | name | ) |

inline

References Name.

## SetType()

void gdcm::ModuleEntry::SetType | ( | const Type & | type | ) |

inline

References DataElementType.

## Friends And Related Symbol Documentation

## operator<<

std::ostream & operator<< | ( | std::ostream & | _os,
|  | const ModuleEntry & | _val )

friend

References ModuleEntry(), DataElementType, DescriptionField, and Name.

Referenced by ~ModuleEntry().

## Member Data Documentation

## DataElementType

Type gdcm::ModuleEntry::DataElementType

protected

Referenced by ModuleEntry(), GetType(), operator<<, gdcm::NestedModuleEntries::operator<<, and SetType().

## DescriptionField

Description gdcm::ModuleEntry::DescriptionField

protected

Referenced by ModuleEntry(), GetDescription(), operator<<, gdcm::NestedModuleEntries::operator<<, and SetDescription().

## Name

std::string gdcm::ModuleEntry::Name

protected

Referenced by ModuleEntry(), GetName(), operator<<, gdcm::NestedModuleEntries::operator<<, and SetName().

The documentation for this class was generated from the following file:

- gdcmModuleEntry.h